org.codehaus.groovy.transform.stc

## Class Receiver<T>

- java.lang.Object
- - org.codehaus.groovy.transform.stc.Receiver<T>

-     public class Receiver<T>
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Receiver(ClassNode type)`
    `Receiver(ClassNode type, T data)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getData()`
    `ClassNode` | `getType()`
    `static <T> Receiver<T>` | `make(ClassNode type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Receiver

          public Receiver(ClassNode type)

    - #### Receiver

          public Receiver(ClassNode type,
                  T data)

  - ### Method Detail

    - #### make

          public static <T> Receiver<T> make(ClassNode type)

    - #### getData

          public T getData()

    - #### getType

          public ClassNode getType()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`